IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name      = N'O365GroupId'
      AND Object_ID = Object_ID(N'BA_Site'))
BEGIN
	ALTER TABLE BA_Site ADD [O365GroupId] uniqueidentifier  NULL
	ALTER TABLE BA_Site ADD [O365GroupUrl] nvarchar(max)  NULL
END